#!/bin/sh

path=$(realpath "$(dirname "$0")") || exit 1
resourceDir="$path/../../resources/068b0c04-d8c8-4738-90fa-d3827f5abf68"
rm -rf "$resourceDir" || exit 1
rm -rf "$path/../../services/kittemail.fgs" || exit 1
cd "$path" || exit 1
printf "\033[1;35mBuilding kittemail.fgs...\033[0m\n"
go build -o "$path/../../services/kittemail.fgs" --buildmode=plugin -ldflags "-s -w" || exit 1
printf "\033[1;36mkittemail.fgs has been built successfully!\033[0m\n"
